Bug 1110919 - [RFE] Alternate locations for rhevm-reports backups
Summary: [RFE] Alternate locations for rhevm-reports backups
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.5.0
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Yedidyah Bar David
QA Contact: Petr Kubica
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-18 19:05 UTC by wdaniel
Modified: 2019-04-28 09:17 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Users can now specify custom locations for database backups using an answer file generated by engine-setup that includes the following default key/value. engine: OVESETUP_CONFIG/engineDbBackupDir=str:/var/lib/ovirt-engine/backups dwh: OVESETUP_DWH_CONFIG/dwhDbBackupDir=str:/var/lib/ovirt-engine-dwh/backups reports: OVESETUP_REPORTS_CONFIG/reportsDbBackupDir=str:/var/lib/ovirt-engine-reports/backups Users can edit these values to specify alternate file paths, which will be used by engine-setup when the '--config-append' option is added.
Clone Of:
Environment:
Last Closed: 2016-03-09 20:47:17 UTC
oVirt Team: Integration
ylavi: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 38250 master MERGED packaging: setup: make backup dir configurable Never
oVirt gerrit 38252 master MERGED packaging: setup: make backup dir configurable Never
oVirt gerrit 38253 master MERGED packaging: setup: make backup dir configurable Never

Description wdaniel 2014-06-18 19:05:45 UTC
Description of problem:

When upgrading minor versions on RHEV, users with Jasper reports set up are instructed to run rhevm-dwh-setup and rhevm-reports-setup which dump the postgres database to:

/var/lib/ovirt-engine/backups

The customer would like to change that directory either through interactive means or passed as a parameter when running those commands. The reasoningin behind this for for disk space reasons - customers who run 'engine-backup' fairly often (multiple times per day) this directory can get rather large.

Comment 2 Doron Fediuck 2014-06-25 13:47:39 UTC
Sandro,
is it possible to override this path today using an environment variable?

Comment 3 Sandro Bonazzola 2014-06-27 09:20:24 UTC
Sadly no, it's hardcoded in oreportscons.FileLocations.OVIRT_ENGINE_REPORTS_DB_BACKUP_DIR.
By the way, the patch moving from constant to env should require just a couple of lines of code

Comment 5 Yedidyah Bar David 2015-02-24 07:52:58 UTC
(In reply to wdaniel from comment #0)
> Description of problem:
> 
> When upgrading minor versions on RHEV, users with Jasper reports set up are
> instructed to run rhevm-dwh-setup and rhevm-reports-setup which dump the
> postgres database to:
> 
> /var/lib/ovirt-engine/backups
> 
> The customer would like to change that directory either through interactive
> means or passed as a parameter when running those commands. The reasoningin
> behind this for for disk space reasons - customers who run 'engine-backup'
> fairly often (multiple times per day) this directory can get rather large.

You refer to engine-setup, or engine-backup?

If 'engine-setup', not sure why would customers run it multiple times a day. I assume 'engine-setup', which seems to be also the assumption in the above discussion.

engine-backup currently does not have a default location for backup file, so irrelevant there.

Comment 6 amedeo 2015-02-24 08:06:34 UTC
(In reply to Yedidyah Bar David from comment #5)
> (In reply to wdaniel from comment #0)
> > Description of problem:
> > 
> > When upgrading minor versions on RHEV, users with Jasper reports set up are
> > instructed to run rhevm-dwh-setup and rhevm-reports-setup which dump the
> > postgres database to:
> > 
> > /var/lib/ovirt-engine/backups
> > 
> > The customer would like to change that directory either through interactive
> > means or passed as a parameter when running those commands. The reasoningin
> > behind this for for disk space reasons - customers who run 'engine-backup'
> > fairly often (multiple times per day) this directory can get rather large.
> 
> You refer to engine-setup, or engine-backup?
> 
> If 'engine-setup', not sure why would customers run it multiple times a day.
> I assume 'engine-setup', which seems to be also the assumption in the above
> discussion.
> 
> engine-backup currently does not have a default location for backup file, so
> irrelevant there.

we run engine-backup multiple times, and the problem was that engine-setup put backup files under directories which engine-backup command will backup, so after run engine-setup we will delete those dump files due to space consumption.

Comment 7 Yedidyah Bar David 2015-02-24 08:54:35 UTC
(In reply to amedeo from comment #6)
> we run engine-backup multiple times, and the problem was that engine-setup
> put backup files under directories which engine-backup command will backup,
> so after run engine-setup we will delete those dump files due to space
> consumption.

Thanks a lot for the explanation!

This should not be the case since 3.4. We then discussed it, and while I can't find any traces of this discussion, if you check [1] you see that it excludes /var/lib/ovirt-engine-backups, and a later patch [2] which will be included in 3.6, excludes also /var/lib/ovirt-engine/jboss_runtime . You are more than welcome to open a bug to get this in 3.5.z, as well as ask to make it user-configurable (though not sure what else is useful to exclude).

Anyway, just to summarize - the current bug talks only about engine-setup, not about engine-backup.

And while I can't see a reason to not "fix" (what do you do to RFEs? Perhaps "accept") it, this specific need - making engine-backup create smaller backups - is not relevant anymore, since 3.4.

[1] http://gerrit.ovirt.org/#/q/I188a1823686b211fefb18ceb41e1a80afd9c5de5,n,z
[2] http://gerrit.ovirt.org/36500

Comment 8 amedeo 2015-02-24 10:23:49 UTC
(In reply to Yedidyah Bar David from comment #7)
> (In reply to amedeo from comment #6)
> > we run engine-backup multiple times, and the problem was that engine-setup
> > put backup files under directories which engine-backup command will backup,
> > so after run engine-setup we will delete those dump files due to space
> > consumption.
> 
> Thanks a lot for the explanation!
> 
> This should not be the case since 3.4. We then discussed it, and while I
> can't find any traces of this discussion, if you check [1] you see that it
> excludes /var/lib/ovirt-engine-backups, and a later patch [2] which will be
> included in 3.6, excludes also /var/lib/ovirt-engine/jboss_runtime . You are
> more than welcome to open a bug to get this in 3.5.z, as well as ask to make
> it user-configurable (though not sure what else is useful to exclude).
> 
> Anyway, just to summarize - the current bug talks only about engine-setup,
> not about engine-backup.
> 
> And while I can't see a reason to not "fix" (what do you do to RFEs? Perhaps
> "accept") it, this specific need - making engine-backup create smaller
> backups - is not relevant anymore, since 3.4.
> 
> [1] http://gerrit.ovirt.org/#/q/I188a1823686b211fefb18ceb41e1a80afd9c5de5,n,z
> [2] http://gerrit.ovirt.org/36500

for us it's fine current patch for v3.4 and higher! thanks

Comment 9 Petr Kubica 2015-05-22 11:49:14 UTC
Verified in ovirt-engine-3.6.0-0.0.master.20150521172314.gitba8b972.el6.noarch

Comment 12 errata-xmlrpc 2016-03-09 20:47:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.